package kz.project.printedFormsService.controller;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import kz.project.printedFormsService.data.dto.DTemplateTypeDto;
import kz.project.printedFormsService.service.DTemplateTypeService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static kz.project.printedFormsService.controller.DTemplateTypeController.BASE_PATH;

@RestController
@RequestMapping(BASE_PATH)
@RequiredArgsConstructor
@Slf4j
@Tag(name = "DTemplate Controller", description = "API TemplateService")
public class DTemplateTypeController {
  public final static String BASE_PATH = "/api/dict";
  public final static String GET_ALL = "/get/all";

  private final DTemplateTypeService service;

    @GetMapping("get/all")
    @Operation(description = "Метод для получения шаблона по идентификатору")
    public List<DTemplateTypeDto> getDict() {
        return service.getAllTemplateType();
    }
}
